示例中心
功能在线体验
控制台

高德 开发 Android 地图SDK 开发指南 创建工程 开发注意事项

更新时间:2017年03月22日

添加高德 Key

为了保证高德 Android SDK 的功能正常使用,您需要申请高德 Key 并且配置到项目中。

项目的 “AndroidManifest.xml” 文件中,添加如下代码:

<application
         android:icon="@drawable/icon"
         android:label="@string/app_name" >
         <meta-data
            android:name="com.amap.api.v2.apikey"
            android:value="请输入您的用户Key"/>
            ……
</application>

配置权限

在AndroidManifest.xml中配置权限:

//地图包、搜索包需要的基础权限
<!--允许程序打开网络套接字-->
<uses-permission android:name="android.permission.INTERNET" />  
<!--允许程序设置内置sd卡的写权限-->
<uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />    
<!--允许程序获取网络状态-->
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /> 
<!--允许程序访问WiFi网络信息-->
<uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /> 
<!--允许程序读写手机状态和身份-->
<uses-permission android:name="android.permission.READ_PHONE_STATE" />     
<!--允许程序访问CellID或WiFi热点来获取粗略的位置-->
<uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" /> 

代码混淆

在生成 apk 进行代码混淆时进行如下配置(如果报出 warning,在报出 warning 的包加入类似的语句:-dontwarn 包名)

3D 地图 V5.0.0之前:
-keep   class com.amap.api.maps.**{*;} 
-keep   class com.autonavi.amap.mapcore.*{*;} 
-keep   class com.amap.api.trace.**{*;}

3D 地图 V5.0.0之后:
-keep   class com.amap.api.maps.**{*;} 
-keep   class com.autonavi.**{*;} 
-keep   class com.amap.api.trace.**{*;}

定位
-keep class com.amap.api.location.**{*;}
-keep class com.amap.api.fence.**{*;}
-keep class com.autonavi.aps.amapapi.model.**{*;}

搜索
-keep   class com.amap.api.services.**{*;}

2D地图
-keep class com.amap.api.maps2d.**{*;}
-keep class com.amap.api.mapcore2d.**{*;}

导航
-keep class com.amap.api.navi.**{*;}
-keep class com.autonavi.**{*;}

so 文件说明

地图 SDK 和导航 SDK 的核心功能实现依赖 so 库。在使用 SDK ,以及向工程中添加 so 时请注意以下几点:


确保添加了正确的 so 库文件

何为正确的 so 文件?

官方发布新版 SDK 时一定会同时更新 jar 文件和 so 文件,您需要做的是更新这些文件到您的工程中,不要出现遗漏。

您可以参考Eclipse、Android Studio 配置工程提到的添加方法进行操作。


确保添加的 so 库文件与平台匹配

何为正确的 so 文件与平台匹配?

arm与x86,这代表核心处理器(cpu)的两种架构,对不同的架构需要引用不同的 so 文件,如果引用出现错误是不能正常使用 SDK 的。

解决这个问题最简单的办法是在 libs 或 jnilibs 文件夹下只保留 armeabi 一个文件夹。


其余问题

您也可以浏览这篇帖子的内容,基础的开发技能均在其中。

兼容性

支持 Android 2.3 及以上系统。

示例中心 功能
在线体验
常见问题